Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests/fs/psshfs Make sure test doesn't pass if file system c...



details:   https://anonhg.NetBSD.org/src/rev/da917011281f
branches:  trunk
changeset: 763709:da917011281f
user:      pooka <pooka%NetBSD.org@localhost>
date:      Thu Mar 31 12:56:03 2011 +0000

description:
Make sure test doesn't pass if file system could not be read at all.

diffstat:

 tests/fs/psshfs/t_psshfs.sh |  7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diffs (21 lines):

diff -r 2e1f93d9e520 -r da917011281f tests/fs/psshfs/t_psshfs.sh
--- a/tests/fs/psshfs/t_psshfs.sh       Thu Mar 31 12:47:01 2011 +0000
+++ b/tests/fs/psshfs/t_psshfs.sh       Thu Mar 31 12:56:03 2011 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_psshfs.sh,v 1.4 2011/02/11 13:19:46 pooka Exp $
+# $NetBSD: t_psshfs.sh,v 1.5 2011/03/31 12:56:03 pooka Exp $
 #
 # Copyright (c) 2007, 2008 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -150,7 +150,10 @@
 # Compares the inodes of the two given files and returns true if they are
 # different; false otherwise.
 #
-test \$(stat -f %i \${1}) -ne \$(stat -f %i \${2})
+set -e
+ino1=\$(stat -f %i \${1})
+ino2=\$(stat -f %i \${2})
+test \${ino1} -ne \${ino2}
 EOF
        chmod +x ne_inodes.sh
 



Home | Main Index | Thread Index | Old Index